﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCBExpirienceEnter
{
    public class Customer
    {
        #region .prop
        int? _id;
        public int? Id
        {
            get { return _id; }
            set { _id = value; }
        }

        int? _number;
        public int? Number
        {
            get { return _number; }
            set { _number = value; }
        }

        string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string DisplayText
        {
            get
            {
                if (this._number.HasValue)
                {
                    return string.Join(", ", this._number.Value, this._name);
                }
                else
                {
                    return string.Empty;
                }
            }
        }

        public string NumberString
        {
            get
            {
                if (this._number.HasValue)
                {
                    return this._number.Value.ToString();
                }
                else
                {
                    return string.Empty;
                }
            }
        }
        #endregion

        #region .ctor
        public Customer()
        {
            this._id = null;
            this._number = null;
            this._name = string.Empty;
        }

        public Customer(int id, int number, string name)
        {
            this._id = id;
            this._number = number;
            this._name = name;
        } 
        #endregion

    }
}
